﻿using System;
using System.Reflection;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;
using System.Windows.Forms;

public partial class Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        RadMenu1.EnableEmbeddedScripts = false;


        ScriptReference referenceCore = AddJSReference("Telerik.Web.UI.Common.Core.js", false, RadMenu1);      

        //Page.ClientScript.RegisterClientScriptInclude(referenceCore.Name, referenceCore.Path);
        RadScriptManager1.Scripts.Add(referenceCore);

        ScriptReference referenceQuery = AddJSReference("Telerik.Web.UI.Common.jQuery.js", false, RadMenu1);

        //Page.ClientScript.RegisterClientScriptInclude(referenceQuery.Name, referenceQuery.Path);
        RadScriptManager1.Scripts.Add(referenceQuery);

        ScriptReference referenceQueryPlugin = AddJSReference("Telerik.Web.UI.Common.jQueryPlugins.js", false, RadMenu1);

        //Page.ClientScript.RegisterClientScriptInclude(referenceQueryPlugin.Name, referenceQueryPlugin.Path);
        RadScriptManager1.Scripts.Add(referenceQueryPlugin);
       
        ScriptReference referenceNavigationScripts = AddJSReference("Telerik.Web.UI.Common.Navigation.NavigationScripts.js", false, RadMenu1);
        
        //Page.ClientScript.RegisterClientScriptInclude(referenceNavigationScripts.Name, referenceNavigationScripts.Path);
        RadScriptManager1.Scripts.Add(referenceNavigationScripts);
        
        ScriptReference referenceRadMenuScripts = AddJSReference("Telerik.Web.UI.Menu.RadMenuScripts.js", false, RadMenu1);

        //Page.ClientScript.RegisterClientScriptInclude(referenceRadMenuScripts.Name, referenceRadMenuScripts.Path);
        RadScriptManager1.Scripts.Add(referenceRadMenuScripts);
    }
    public ScriptReference AddJSReference(string scriptName, bool IsExecutingAssembly, System.Web.UI.Control objectControl)
    {
            
        string[] Names;

        string DLLName;

        string VersionNumber;

        string Culture;

        string PublicKeyToken;

        ScriptReference reference = new ScriptReference();

        reference.Name = scriptName;

        if (IsExecutingAssembly)

            reference.Assembly = Assembly.GetExecutingAssembly().FullName;

        else

            reference.Assembly = Assembly.GetAssembly(objectControl.GetType()).FullName;



        //Names = reference.Assembly.Split(',');

        //DLLName = Names[0].Replace("\\", "");

        //VersionNumber = Names[1].Split('=')[1].Replace("\\", "");

        //Culture = Names[2].Split('=')[1].Replace("\\", "");

        //PublicKeyToken = Names[3].Split('=')[1].Replace("\\", "");

        //reference.Path = "~/MyScriptHandler.ashx?Assembly=" + DLLName +

        //    "&VersionNumber=" + VersionNumber +

        //    "&Culture=" + Culture +

        //    "&PublicKeyToken=" + PublicKeyToken +

        //    "&ResourceName=" + reference.Name;



        return reference;



    }

}
